%define name         ksystemlog
%define version      0.3.2
%define release      %mkrel 3
%define summary      KSystemLog is a system log viewer tool for KDE 3.3.x 


Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            %{summary}
 
Source0:            http://annivernet.free.fr/ksystemlog/archives/src/%{name}-%{version}.tar.bz2
Source10:           %{name}-16.png
Source11:           %{name}-32.png
Source12:           %{name}-48.png

Group:              Monitoring 
License:            GPL
Url:                http://annivernet.free.fr/ksystemlog/
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:      qt3-devel
BuildRequires:      kdelibs-devel

Requires:          kdebase >= 3.3

%description
This program is developed for being used by beginner users, 
which don't know how to find information about their Linux system, 
and how the log files are in their computer.
But it is also designed for advanced users, 
who want to quickly see problems occuring on their server.

KSystemLog has the following features :

- View all the main log of your system, by selecting them 
 directly in a menu
- Auto display new lines logged in bold
- Tabbed view to allow displaying several logs at the same time
- Saving in a file and copying to clipboard the selected log 
  lines are also implemented (and email to your friends)
- It can parse the following log files of your system :

- X.org (or Xfree) logs
- System logs (using the Syslog parser of KSystemLog)
- Kernel logs
- Daemons logs
- Cron logs
- Boot logs
- Authentication logs
- Cups logs
- ACPID logs


%prep
%setup -q -n %{name}-%{version}

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x --disable-rpath

%make

%install

rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

rm -rf %{buildroot}/%_iconsdir/*
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%{name}.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%{name}.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%{name}.png


mkdir -p %{buildroot}/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "System/Monitoring" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/ksystemlog.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}


%find_lang %name



%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files -f %name.lang 
%defattr(-,root,root)
%{_bindir}/ksystemlog
%{_menudir}/ksystemlog

%{_datadir}/applnk/Utilities/ksystemlog.desktop
%{_datadir}/apps/ksystemlog/ksystemlogui.rc
%{_datadir}/config.kcfg/ksystemlog.kcfg

%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Jun 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-3mdv2007.0
- Rebuild against new menu

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Drop patch 0 ( Merged Upstream )
- Fix permission on tar.bz2

* Wed Jul 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.2-1
- 0.3.2

* Thu Jun 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- 0.3.1
- Fix %%changelog

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-1mdk
- 0.3.0

* Tue May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-2mdk
- Fix Requires as it doesn't compile yet on kde 3.2

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-1mdk
- 0.2.2
         0.2.2 Fixes :
              - Really compile now on KDE 3.3 (and I hope 3.2)
- Fix Requires

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.1-2mdk
- Fix Menu entry

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.1-1mdk
- First Mandriva release:
                - French translation updated
                - KSystemLog compiles now on KDE 3.3 (and I hope 3.2 ;-)
